//////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////
//
// Class          : AdvancedMath
//
// Author         : Richard E. Pattis
//                  Computer Science Department
//                  Carnegie Mellon University
//                  5000 Forbes Avenue
//                  Pittsburgh, PA 15213-3891
//                  e-mail: pattis@cs.cmu.edu
//
// Maintainer     : Author
//
//
// Description:
//
//   The AdvancedMathclass is a (static) method library supplying some
// advanced mathematical methods (relying on interfaces like DecisionInt).
//
// Future Plans   : None
//
// Program History:
//   8/20/01: R. Pattis - Operational for 15-100
//
//
//////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////


package edu.cmu.cs.pattis.cs151xx;



import edu.cmu.cs.pattis.cs151xx.Univariate;




public class AdvancedMath {


  public static double integrate (Univariate f, double low, double high, double step)
  {
    double sum = 0.;
    for(double x = low; x<high; x+=step) 
      sum += f.evaluate(x) * step;
    return sum;
  }


}


