//////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////
//
// Class          : AdvancedPrompt
//
// Author         : Richard E. Pattis
//                  Computer Science Department
//                  Carnegie Mellon University
//                  5000 Forbes Avenue
//                  Pittsburgh, PA 15213-3891
//                  e-mail: pattis@cs.cmu.edu
//
// Maintainer     : Author
//
//
// Description:
//
//   The AdvancedPrompt class is a (static) method library supplying some
// advanced prompting methods (relying on interfaces like DecisionInt).
//
// Future Plans   : None
//
// Program History:
//   8/20/01: R. Pattis - Operational for 15-100
//
//
//////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////


package edu.cmu.cs.pattis.cs151xx;


import edu.cmu.cs.pattis.cs151xx.Prompt;
import edu.cmu.cs.pattis.cs151xx.DecisionInt;



public class AdvancedPrompt {



  public static int forInt (String message, DecisionInt check, String errorMessage)
  {
    for(;;) {
        int answer = Prompt.forInt(message);
        if (check.isOK(answer))
          return answer;
        System.out.println(errorMessage);
    }
  }

}


