//////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////
//
// Class          : IsBetween
//
// Author         : Richard E. Pattis
//                  Computer Science Department
//                  Carnegie Mellon University
//                  5000 Forbes Avenue
//                  Pittsburgh, PA 15213-3891
//                  e-mail: pattis@cs.cmu.edu
//
// Maintainer     : Author
//
//
// Description:
//
//   Implements the DecisionInt interface, usable with AdvancePrompt.
//
// Future Plans   : None
//
// Program History:
//   9/22/01: R. Pattis - Operational for 15-100
//
//
//////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////


package edu.cmu.cs.pattis.cs151xx;


public class IsBetween implements DecisionInt {

  public IsBetween(int low, int high)
  {
    if (low > high)
      throw new IllegalArgumentException("IsBetween Constructor: low("+low+") now <= high("+high+")");
    
    this.low  = low;
    this.high = high;
  }


  public boolean isOK(int x)
  {return low <= x && x <= high;}
 
 
  private int low;
  private int high; 
}