//////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////
//
// Class          : IsPrime
//
// Author         : Richard E. Pattis
//                  Computer Science Department
//                  Carnegie Mellon University
//                  5000 Forbes Avenue
//                  Pittsburgh, PA 15213-3891
//                  e-mail: pattis@cs.cmu.edu
//
// Maintainer     : Author
//
//
// Description:
//
//   Implements the DecisionInt interface, usable with AdvancePrompt.
//
// Future Plans   : None
//
// Program History:
//   9/22/01: R. Pattis - Operational for 15-100
//
//
//////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////


package edu.cmu.cs.pattis.cs151xx;


public class IsPrime implements DecisionInt {

  public boolean isOK(int x)
  {
    if (x < 2)
      return false;
    
    for (int divisor=2; divisor<x; divisor++)
      if (x%divisor == 0)
        return false;
    
    return true;
  }
  
}